# Function useDeepSubscription

- useDeepSubscription<Table, LL>(query, options?): UseDeepSubscriptionResult<LL>

- #### Type Parameters

  - Table extends
    | "links"
    | "numbers"
    | "strings"
    | "objects"
    | "can"
    | "selectors"
    | "tree"
    | "handlers"
  - LL = Link<Id>

  #### Parameters

  - query: Exp<Table>
  - `Optional` options: Options<Table>

  #### Returns UseDeepSubscriptionResult<LL>

  - Defined in work/deeplinks/deeplinks/imports/client.tsx:2662